#
# spec file for package python-jaraco.path
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-jaraco.path
Version:        3.7.1
Release:        1.1
Summary:        Miscellaneous path functions for jaraco packages
License:        MIT
URL:            https://github.com/jaraco/jaraco.path
Source:         https://files.pythonhosted.org/packages/source/j/jaraco.path/jaraco_path-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.8}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools >= 56}
BuildRequires:  %{python_module setuptools_scm >= 3.4.1}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
jaraco.path provides cross platform hidden file detection
and other miscellaneous path helper functions.

%prep
%setup -q -n jaraco_path-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
#  work around for gh#pytest-dev/pytest#3396 until gh#pytest-dev/pytest#10088 lands in a pytest release
touch jaraco/__init__.py
%pytest

%files %{python_files}
%license LICENSE
%dir %{python_sitelib}/jaraco/
%{python_sitelib}/jaraco/path.py
%{python_sitelib}/jaraco.path-%{version}*-info
%pycache_only %dir %{python_sitelib}/jaraco/__pycache__
%pycache_only %{python_sitelib}/jaraco/__pycache__/path*.py*

%changelog
* Mon Oct 28 2024 Dirk Müller <dmueller@suse.com>
- update to 3.7.1:
  * no significant changes
* Thu Dec  7 2023 Dirk Müller <dmueller@suse.com>
- update to 3.7.0:
  * Require Python 3.8 or later.
  * Added support for ``Symlink``s for the tree maker
    (``build``).
* Thu May  4 2023 Dirk Müller <dmueller@suse.com>
- update to 3.5.0:
  * Introduced ``Recording`` object and ``TreeMaker`` protocol,
    with ``build()`` now explicitly accepting any ``TreeMaker``.
  * Fixed EncodingWarnings and ResourceWarnings.
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Wed Apr 19 2023 Matej Cepl <mcepl@suse.com>
- Switch to single spec version build for PSP
* Mon Aug 29 2022 Ben Greiner <code@bnavigator.de>
- Update to 3.4.0
  * Require Python 3.7 or later.
- Switch to PEP517 and remove obsolete jaraco.base requirement
* Sat May  1 2021 Dirk Müller <dmueller@suse.com>
- Initial package (3.3.1)
